%include common-macros.specinclude

Summary: Apache HTTP Server
Name: lsb-apache
Version: 2.2.19
Release: 5.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: Apache Software License
Group: Appbat/webserver
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://apache.org/dist/httpd/httpd-%{version}.tar.bz2
Source1: lsb-apache
Patch0: httpd-2.2.14.patch
Patch1: httpd-2.2.0-conf.patch

%description
LSB conforming version of Apache.  Apache is a powerful, full-featured,
efficient, and freely-available Web server. Apache is the most popular
Web server on the Internet.  Apache is added to the LSB Application
Battery primarily to demonstrate networking, threads and
application-supplied shared libraries.

%prep
%setup -q -n httpd-%{version}
%patch0 -p1 -b .lsbcc
%patch1 -p1 -b .lsb-config

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# set this so libuuid will not be used
export ac_cv_search_uuid_generate=no

# bug 3207 - libtool defaults to the system expat
export with_expat=/opt/lsb

./configure \
	--prefix=%{app_prefix} \
	--enable-layout=opt \
	--without-gdbm \
	--without-berkeley-db \
	--without-sqlite3 \
	--without-sqlite2 \
	--disable-dbd \
	--with-included-apr \
	--with-pic

make

%install
make DESTDIR=%{buildroot} install

install -d %{buildroot}/etc/init.d
cp %{SOURCE1} %{buildroot}/etc/init.d

# remove this dir - not needed - breaks next build too
rm -fr %{buildroot}%{app_prefix}/share/build

# and these binaries - also break build when lsb-apache installed
rm -fr %{buildroot}%{bindir}
rm -f  %{buildroot}%{app_prefix}/sbin/apxs

# make a README about the patch
install -d %{buildroot}%{sharedir}/doc
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
COUNT=`expr $COUNT - 1`
head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.apache.build.patches 

%pre

%post
/usr/lib/lsb/install_initd /etc/init.d/lsb-apache

%preun
/usr/lib/lsb/remove_initd /etc/init.d/lsb-apache

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /etc/opt/lsb
%dir /var/opt/lsb

%attr ( -   root root ) %{app_prefix}
%attr ( -   root root ) /etc/opt/lsb/appbat
%attr ( -   root root ) /var/opt/lsb/appbat
%attr (0755 root root) /etc/init.d/lsb-apache

%changelog
* Mon Sep 10 2012 Stew Benedict <stewb@linux-foundation.org>
- disable dbd (bug 3641)

* Wed Jun 15 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 2.2.19

* Wed May 11 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Fri Feb 25 2011 Stew Benedict <stewb@linux-foundation.org>
- own the dirs we populate (bug 3195)

* Fri Oct 05 2007 Stew Benedict <stewb@linux-foundation.org>
- add lsb-apache init script to exercise install_initd, remove_initd

